﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\NCSYS_constraint.sql **/
 EXEC P_ALTERPK 'PK_NOCODE_CARDCOLLECT', 'T_NOCODE_CARDCOLLECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_CARDCOLLECT' AND KSQL_INDNAME = 'IDX_NC_CARDC_USERID') CREATE INDEX IDX_NC_CARDC_USERID ON T_NOCODE_CARDCOLLECT ( FUSERID );


 EXEC P_ALTERPK 'PK_NOCODE_CARDCONTAINER', 'T_NOCODE_CARDCONTAINER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_CARDCONTAINER' AND KSQL_INDNAME = 'IDX_NC_CCON_SCHEMAID') CREATE INDEX IDX_NC_CCON_SCHEMAID ON T_NOCODE_CARDCONTAINER ( FSCHEMAID );


 EXEC P_ALTERPK 'PK_NOCODE_CARDREF', 'T_NOCODE_CARDREF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_CARDREF' AND KSQL_INDNAME = 'IDX_NC_CR_CARDID') CREATE INDEX IDX_NC_CR_CARDID ON T_NOCODE_CARDREF ( FCARDID );


 EXEC P_ALTERPK 'PK_NOCODE_CARDSCHEMA', 'T_NOCODE_CARDSCHEMA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_CARDSCHEMA' AND KSQL_INDNAME = 'IDX_NC_CS_FNAME') CREATE INDEX IDX_NC_CS_FNAME ON T_NOCODE_CARDSCHEMA ( FNAME );


 EXEC P_ALTERPK 'PK_NOCODE_EXPORT_RECORD', 'T_NOCODE_EXPORT_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_EXPORT_RECORD' AND KSQL_INDNAME = 'IDX_NC_ER_STATUS') CREATE INDEX IDX_NC_ER_STATUS ON T_NOCODE_EXPORT_RECORD ( FSTATUS );


 EXEC P_ALTERPK 'PK_NOCODE_FILTERCONFIG', 'T_NOCODE_FILTERCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_FILTERCONFIG' AND KSQL_INDNAME = 'IDX_NC_FC_AFU') CREATE INDEX IDX_NC_FC_AFU ON T_NOCODE_FILTERCONFIG ( FAPPID ,FFORMID ,FUSERID );


 EXEC P_ALTERPK 'PK_NOCODE_LIST_CONFIG', 'T_NOCODE_LIST_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_LIST_CONFIG' AND KSQL_INDNAME = 'IDX_NC_LC_AFU') CREATE INDEX IDX_NC_LC_AFU ON T_NOCODE_LIST_CONFIG ( FAPPID ,FFORMID ,FUSERID );


 EXEC P_ALTERPK 'PK_NOCODE_PAGEINFO', 'T_NOCODE_PAGEINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_PAGEINFO' AND KSQL_INDNAME = 'IDX_NC_PI_AFU') CREATE INDEX IDX_NC_PI_AFU ON T_NOCODE_PAGEINFO ( FAPPID ,FFORMID ,FUSERID );


 EXEC P_ALTERPK 'PK_NOCODE_STAT_CARD', 'T_NOCODE_STAT_CARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_STAT_CARD' AND KSQL_INDNAME = 'IDX_NC_SC_AFU') CREATE INDEX IDX_NC_SC_AFU ON T_NOCODE_STAT_CARD ( FAPPID ,FFORMID ,FUSERID );


 EXEC P_ALTERPK 'PK_NOCODE_STATCONFIG', 'T_NOCODE_STATCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_STATCONFIG' AND KSQL_INDNAME = 'IDX_NC_SCON_AFU') CREATE INDEX IDX_NC_SCON_AFU ON T_NOCODE_STATCONFIG ( FAPPID ,FFORMID ,FUSERID );


 EXEC P_ALTERPK 'PK_NOCODE_TEMPLATE_CONFIG', 'T_NOCODE_TEMPLATE_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_TEMPLATE_CONFIG' AND KSQL_INDNAME = 'IDX_NC_TC_TYPE') CREATE INDEX IDX_NC_TC_TYPE ON T_NOCODE_TEMPLATE_CONFIG ( FTYPE );


 EXEC P_ALTERPK 'PK_NOCODE_CARD', 'T_NOCODE_CARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_CARD' AND KSQL_INDNAME = 'IDX_NC_CARD_TYPE') CREATE INDEX IDX_NC_CARD_TYPE ON T_NOCODE_CARD ( FTYPE );


 EXEC P_ALTERPK 'PK_NOCODE_TDOMAINS', 'T_NOCODE_TDOMAINS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_TDOMAINS' AND KSQL_INDNAME = 'IDX_NC_TD_NAME') CREATE INDEX IDX_NC_TD_NAME ON T_NOCODE_TDOMAINS ( FNAME );


 EXEC P_ALTERPK 'PK_NOCODE_TTRADES', 'T_NOCODE_TTRADES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_TTRADES' AND KSQL_INDNAME = 'IDX_NC_TT_NAME') CREATE INDEX IDX_NC_TT_NAME ON T_NOCODE_TTRADES ( FNAME );


 EXEC P_ALTERPK 'PK_T_NOCODE_USERLOG', 'T_NOCODE_USERLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_NOCODE_USERLOG' AND KSQL_INDNAME = 'IDX_NC_UL_UES') CREATE INDEX IDX_NC_UL_UES ON T_NOCODE_USERLOG ( FUSERID ,FEVENTTYPE ,FSOURCE );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\NCSYS_constraint.sql **/
